Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359675 - Required imagestream for eap64-mysql-persistent-s2i template is missing
Summary: Required imagestream for eap64-mysql-persistent-s2i template is missing
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Image
Version: 3.x
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Vu Dinh
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-25 09:41 UTC by Siamak Sadeghianfar
Modified: 2016-10-04 13:08 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-04 13:08:16 UTC


Attachments (Terms of Use)

Description Siamak Sadeghianfar 2016-07-25 09:41:24 UTC
When an app is created with the eap64-mysql-persistent-s2i template, the build never starts du to the missing jboss-eap64-openshift:1.2 imagestream. The available image in the registry is jboss-eap64-openshift:1.3. 

Modifying the buildconfig and updating it to use the 1.3 works around the issue.

Comment 1 Ben Parees 2016-07-25 14:18:57 UTC
latest template from the middleware team appears to specify 1.4 even (not sure if we have the 1.4 tag installed in online though).

https://github.com/jboss-openshift/application-templates/blob/master/eap/eap64-mysql-persistent-s2i.json#L388-L390

Comment 2 Vu Dinh 2016-07-25 20:09:25 UTC
There is PR on its way to update the eap64 tag on the template to address this issue.

Vu

Comment 3 Jacob Lucky 2016-08-09 14:23:33 UTC
The updated image stream and template are now in production: https://console.preview.openshift.com/

Comment 4 zhaliu 2016-08-10 06:15:11 UTC
server:https://api.preview.openshift.com
OpenShift Master:
v3.2.1.10-1-g668ed0a
Kubernetes Master:
v1.2.0-36-g4a3f9c5


Note You need to log in before you can comment on or make changes to this bug.